using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication3 {
    public partial class Form1 : Form {
        public Form1() {
            InitializeComponent();

            gridControl1.RowCount = 50;

            gridControl1.Model.CoveredRanges.Add(GridRangeInfo.Cells(1, 1, 1, 2));
            gridControl1.RowHeights[1] = 17;
            gridControl1.Model.CoveredRanges.Add(GridRangeInfo.Cells(2, 1, 2, 6));
            gridControl1.RowHeights[2] = 42;

            SetFont(1, 1, 10, true);
            SetFont(2, 1, 8, false);

            gridControl1[1, 1].WrapText = true;
            gridControl1[2, 1].WrapText = true;

            gridControl1[1, 1].Text = "Current Operations Infrastructure Management Optimization";
            gridControl1[2, 1].Text = "According to IDC, organizations that advance their infrastructure management optimization from Basic to Standardized levels of the industry leaders can experience TCO savings of 56% or more , with an additional improvement to 17% of actual value, moving from Rationalized to Dynamic. As well, these organizations not only reduced costs but improved service levels and business agility. Assessing your current Operations Infrastructure Optimization versus industry leaders can help identify areas for improvement.";
        }

        private void SetFont(int row, int column, float size, bool bold) {
            gridControl1[row, column].Font.Facename = "Tahoma";
            gridControl1[row, column].Font.Size = size;
            gridControl1[row, column].TextColor = Color.Black;
            gridControl1[row, column].Font.Bold = bold;
            gridControl1[row, column].Font.Underline = false;
            gridControl1[row, column].Font.Italic = false;
 //            gridControl1[row, column].Font.Unit = GraphicsUnit.Display;
        }
    }
}